@charset "utf-8";

body {
  font-size: var(--fs-body-base);
  font-family: var(--ff-ja);
}

.footer-head {
  background: var(--color-gray-900);
  padding-block: 100px 120px;
  padding-inline: 32px;
}

.footer-head-contents {
  display: flex;
  justify-content: space-between;
  max-width: 1280px;
  margin-inline: auto;
  gap: 40px;
}

.footer-head-logo {
  display: inline-block;
}

.footer-head-btnarea-wrap {
  padding-top: 40px;
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.footer-head-banner {
  padding-top: 40px;
}

.footer-head-banner-in {
  overflow: hidden;
  position: relative;
  background: var(--color-secondary-900);
  border: 1px solid var(--color-gray-0);
  font-size: var(--fs-body-xs);
  line-height: var(--lineheigth-145);
  color: var(--color-gray-0);
  width: 298px;
  height: 80px;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  border-radius: var(--radius-base);
  transition: var(--ts-base);

  &::before {
    position: absolute;
    content: "";
    width: 80px;
    height: 80px;
    border-radius: 50%;
    background: var(--color-gray-0);
    bottom: -40px;
    right: -40px;
    transition: var(--ts-base);
  }

  &::after {
    position: absolute;
    content: "";
    background: url(../images/common/icon_arrow_black.svg) no-repeat center /
      contain;
    width: 20px;
    height: 20px;
    top: 53px;
    right: 6px;
    flex-shrink: 0;
  }

  @media (hover: hover) {
    &:hover {
      background: var(--color-secondary-800);

      &::before {
        width: 84px;
        height: 84px;
      }
    }
  }

  p {
    margin-inline: 20px;
    display: flex;
    flex-direction: column;
    gap: 8px;

    span img {
      margin-right: 8px;
    }
  }
}

.footer-head-inner {
  display: flex;
  gap: 32px;
  max-width: 880px;
}

.footer-head-boxes {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 23px 32px;
}

.footer-head-box {
  width: 272px;
}

.footer-head-box-ttl {
  color: var(--color-gray-0);
  font-size: var(--fs-body-base);
  font-weight: var(--fw-700);
  line-height: var(--lineheigth-152);
}

.footer-head-box-list {
  margin-top: 12px;
  padding-top: 16px;
  border-top: 1px solid var(--color-gray-500);
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.footer-head-box-item {
  font-size: var(--fs-link-sm);
  line-height: var(--lineheigth-128);
}

.footer-head-box-link {
  color: var(--color-gray-0);
  font-size: var(--fs-link-sm);
  line-height: var(--lineheigth-128);
  font-weight: var(--fw-600);
  transition: var(--ts-base);

  @media (hover: hover) {
    &:hover {
      opacity: var(--opacity-base);
    }
  }
}

.footer-head-box-link--blank {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 4px;

  &::after {
    position: relative;
    content: "";
    background: url(../images/common/icon_blank_white.svg) no-repeat center /
      contain;
    width: 16px;
    height: 16px;
  }
}

.c-btn__03 {
  position: relative;
  background: var(--color-gray-1000);
  line-height: var(--lineheigth-128);
  width: 300px;
  height: 56px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: var(--radius-base);
  transition: var(--ts-base);
  outline: 1px solid var(--color-gray-500);
  outline-offset: -1px;

  span {
    font-size: var(--fs-link-base);
    font-weight: var(--fw-600);
    color: var(--color-gray-0);
  }

  &::after {
    position: absolute;
    content: "";
    background: url(../images/common/icon_arrow_white.svg) no-repeat center /
      contain;
    width: 24px;
    height: 24px;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
  }

  @media (hover: hover) {
    &:hover {
      background: var(--color-gray-800);
    }
  }
}

.c-btn__04 {
  position: relative;
  background: var(--color-gray-0);
  line-height: var(--lineheigth-128);
  width: 300px;
  height: 56px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: var(--radius-base);
  transition: var(--ts-base);

  span {
    font-size: var(--fs-link-base);
    font-weight: var(--fw-600);
    color: var(--color-gray-900);
  }

  &::after {
    position: absolute;
    content: "";
    background: url(../images/common/icon_arrow_black.svg) no-repeat center /
      contain;
    width: 24px;
    height: 24px;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    flex-shrink: 0;
  }

  @media (hover: hover) {
    &:hover {
      background: var(--color-gray-300);
    }
  }
}

.c-btn__dl-01 {
  position: relative;

  background: var(--color-gray-0);

  width: 300px;
  height: 56px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: var(--radius-base);
  transition: var(--ts-base);

  span {
    font-size: var(--fs-link-base);
    font-weight: var(--fw-600);
    line-height: var(--lineheigth-128);
    color: var(--color-gray-900);
  }

  &::after {
    position: absolute;
    content: "";
    background: url(../images/common/icon_download_black.svg) no-repeat center /
      contain;
    width: 24px;
    height: 24px;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
  }

  @media (hover: hover) {
    &:hover {
      background: var(--color-gray-300);
    }
  }

  & p {
    text-align: center;
  }
}

@media (width < 1300px) {
  .footer-head-boxes {
    display: flex;
    flex-direction: column;
  }
}

@media (width < 992px) {
  .footer-head {
    padding-block: 40px;
    padding-inline: 24px;
  }

  .footer-head-contents {
    flex-direction: column;
    align-items: center;
  }

  .footer-head-logo {
    max-width: 250px;
  }

  .footer-head-btnarea {
    width: 100%;
    text-align: center;
  }

  .footer-head-btnarea-wrap {
    padding-top: 32px;
    align-items: center;
  }

  .footer-head-banner {
    padding-top: 32px;
    display: flex;
    justify-content: center;
  }

  .footer-head-banner-in {
    max-width: 500px;
    width: 100%;

    & p {
      text-align: left;
    }
  }

  .footer-head-inner {
    flex-direction: column;
    width: 100%;
    max-width: 100%;
  }

  .footer-head-boxes {
    gap: 30px 32px;
  }

  .footer-head-box {
    width: 100%;
  }

  .footer-head-box-item {
    font-size: var(--fs-link-sm);
    line-height: var(--lineheigth-128);
  }

  .c-btn__03 {
    max-width: 500px;
    width: 100%;
  }

  .c-btn__04 {
    max-width: 500px;
    width: 100%;
  }

  .c-btn__dl-01 {
    max-width: 500px;
    width: 100%;
  }
}
